package com.supervision.service;

import com.supervision.dto.robot.RobotTalkDTO;
import com.supervision.dto.robot.SuspectInfo;
import com.supervision.vo.robot.ArchivesReqVo;
import com.supervision.vo.robot.CommonDialogVo;
import com.supervision.vo.talk.RobotTalkReq;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface RobotTalkService {

    RobotTalkDTO textTalk2Robot(RobotTalkReq robotTalkReq);


    RobotTalkDTO videoTalk2Robot(MultipartFile multipartFile, RobotTalkReq robotTalkReq);


    /**
     * 获取对话列表
     * @param sessionId
     * @return
     */

    List<CommonDialogVo> talkList(String sessionId);


    void getAudio(HttpServletResponse response, String audioId) throws IOException;


    /**
     * 下载嫌疑人归档数据
     * @param archivesReq
     */
    void downLoadArchives(HttpServletResponse response,ArchivesReqVo archivesReq) throws IOException;


    void downLoadFile(HttpServletResponse response, String fileType, String imageId) throws IOException;



    List<SuspectInfo> querySuspectInfo(String sessionId,String name);
}
